> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tuor.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Project Webhook

> Send a test event to the project's webhook.



## OpenAPI

````yaml /openapi.json post /v1/projects/{project_id}/test-webhook
openapi: 3.1.0
info:
  title: Tuor API
  description: API for storing and managing human review of model traces
  version: 0.1.0
servers:
  - url: https://api.tuor.dev
security:
  - ApiKeyAuth: []
paths:
  /v1/projects/{project_id}/test-webhook:
    post:
      tags:
        - Webhooks
      summary: Test Project Webhook
      description: Send a test event to the project's webhook.
      operationId: test_project_webhook_v1_projects__project_id__test_webhook_post
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            title: Project Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectWebhookTestRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookTestResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProjectWebhookTestRequest:
      properties:
        url:
          type: string
          maxLength: 2048
          title: Url
        secret:
          anyOf:
            - type: string
              maxLength: 512
            - type: 'null'
          title: Secret
      type: object
      required:
        - url
      title: ProjectWebhookTestRequest
    WebhookTestResult:
      properties:
        status_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Status Code
        response_body:
          anyOf:
            - type: string
            - type: 'null'
          title: Response Body
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        duration_ms:
          type: integer
          title: Duration Ms
      type: object
      required:
        - duration_ms
      title: WebhookTestResult
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.